

Name:		italc
Version:	1.0.13
Release:	0
Summary:	didactical software for teachers etc.
Summary(de):	Didaktische Software fuer Lehrer usw.
License:	GPL
URL:		http://italc.sourceforge.net/
Group:		Applications/Networking
Packager:	Tobias Doerffel <tobydox@users.sourceforge.net>
%if 0%{?suse_version} 
BuildRequires:	gcc gcc-c++ libstdc++-devel autoconf automake make openssl openssl-devel zlib zlib-devel libjpeg libjpeg-devel
BuildRequires:	libqt4-devel
Requires:	libqt4 libqt4-x11 openssl zlib libjpeg
%endif
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Prefix:		%{_prefix}

%description
iTALC is a use- and powerful didactical tool for teachers. It lets you view and control other computers in your network in several ways. It supports Linux and Windows 2000/XP/Vista.

Features:

* see what's going on in computer-labs by using overview mode and make snapshots
* remote-control computers to support and help other people
* show a demo (either in fullscreen or in a window) - the teacher's screen is shown on all student's computers in realtime
* lock workstations for moving undivided attention to teacher
* send text-messages to students
* powering on/off and rebooting computers per remote
* remote logon and logoff and remote execution of arbitrary commands/scripts
* home-schooling - iTALC's network-technology is not restricted to a subnet and therefore students at home can join lessons via VPN-connections just by installing iTALC client

Furthermore iTALC is optimized for usage on multi-core systems (by making
heavy use of threads). No matter how many cores you have, iTALC can make use
of all of them. 


%description -l de
iTALC ist ein nuetzliches und leistungsfaehiges didaktisches Werkzeug fr
Lehrer, mit dem man andere Computer im Netzwerk auf verschiedene Art und Weise
beobachten und fernsteuern kann.

iTALC unterstuetzt derzeit Linux und Windows 2000/XP/Vista.

Funktionen:

* sehen, was in Computerkabinetten los ist (Uebersichtsmodus) und Schnapsschuesse erstellen
* Computern fernsteuern, um anderen Leuten zu unterstuetzen
* eine Demo zeigen (entweder als Vollbild oder in einem Fenster) - der Lehrer-Bildschirm wird auf alle Schuelercomputer in Echtzeit uebertragen
* Schuelercomputer sperren um Aufmerksamkeit zu erlangen
* Textnachrichten an Schueler senden
* Computer uebers Netzwerk an- und ausschalten sowie neustarten
* Remote-Anmeldung sowie Ausfuehrung beliebiger Befehle/Skripte
* Anbindung zu Hause sitzender Schueler ueber VPN moeglich

Weiterhin ist iTALC optimiert auf die Nutzung auf Mehrkern-Systemen (indem es in grossen Umfang Threads benutzt). Egal wie viele Kerne sie haben, iTALC kann von allen Gebrauch machen.


%package client
Summary:	software for iTALC-clients
Summary(de):	Software fuer iTALC-Clients
Group:		Applications/Networking
Requires:	italc = %{version}

%description client
This package contains the software, needed by iTALC-clients.

See /usr/share/italc/doc/INSTALL for details on how to install and setup iTALC
in your network.

%description client -l de
Dieses Paket beinhaltet die Software, die auf iTALC-Clients benoetigt wird.

Weitere Details ueber die Installation und Einrichtung von iTALC in Ihrem
Netzwerk finden Sie in /usr/share/italc/doc/INSTALL.


%package master
Summary:	iTALC master software
Summary(de):	iTALC-Master-Software
Group:		Applications/Networking
Requires:	italc = %{version}
Requires:	italc-client = %{version}

%description master
This package contains the actual master-software for accessing clients.

See /usr/share/italc/doc/INSTALL for details on how to install and setup iTALC
in your network.

%description master -l de
Dieses Paket beinhaltet die eigentliche Master-Software, um auf Clients
zuzugreifen.

Weitere Details ueber die Installation und Einrichtung von iTALC in Ihrem
Netzwerk finden Sie in /usr/share/italc/doc/INSTALL.



%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

make %{?jobs:-j%jobs}


%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/italc/


%files client
%defattr(-,root,root)
%{_bindir}/ica
%{_libdir}/italc/libitalc_core.so
%doc %{_mandir}/man1/ica.1.gz


%files master
%defattr(-,root,root)
%{_bindir}/italc
%doc %{_mandir}/man1/italc.1.gz
%{_datadir}/applications/italc.desktop
%{_datadir}/menu/italc
%{_datadir}/pixmaps/italc.xpm
%{_datadir}/icons/italc.png


%changelog
* Mon Mar 03 2008 Tobias Doerffel
- added missing library

* Sat Apr 12 2007 Tobias Doerffel
- lot of updates for "new" iTALC

* Sat Jun 25 2005 Tobias Doerffel
- updated project-homepage and email-address of packager

* Sat May 5 2005 Tobias Doerffel
- created italc.spec.in

